const text = "https://www.google.";
let filterSites = [];
const clear = ({ url }) => {
	console.log("Clearing: " + url);
	console.log(filterSites);
	if (url.startsWith(text)) {
		console.log("Start with: " + text);
		setTimeout(() => {
			chrome.history.deleteUrl({ url });
		}, 500);
		// chrome.browsingData.removeHistory({
		// 	"since": (new Date()).getTime() - 1500
		// }, function(result) {
		// 	console.log("000:" + result)
		// })
	}

	if (filterSites.length >= 0) {
		for (const site of filterSites) {
			if (url.startsWith(site)) {
				console.log("Start with: " + site);
				setTimeout(() => {
					chrome.history.deleteUrl({ url });
				}, 500);
			}
		}
	}
};
const millisecondsPerWeek = 1000 * 60 * 60 * 24 * 30;
const oneMonthAgo = (new Date()).getTime() - millisecondsPerWeek;

chrome.history.onVisited.addListener(clear);

chrome.history.onVisitRemoved.addListener((removedItem) => {
	console.log(removedItem["urls"]);
})

chrome.runtime.onInstalled.addListener(() => {
	chrome.history.search({ text: text, startTime: oneMonthAgo, maxResults: 5000 }, results => {
		console.log("Clearing old google search history...")
		results.forEach(clear);
	});

	chrome.storage.sync.get(['filterSites'], function (result) {
		console.log('自定义网址有：' + result["filterSites"]);

		if (result["filterSites"] == undefined) {
			return;
		}

		filterSites = result["filterSites"];
	});
});

chrome.storage.onChanged.addListener(function (changes, namespace) {
	for (var key in changes) {
		var storageChange = changes[key];
		console.log('Storage key "%s" in namespace "%s" changed. ' +
			'Old value was "%s", new value is "%s".',
			key,
			namespace,
			storageChange.oldValue,
			storageChange.newValue);
		filterSites = storageChange.newValue;
	}
});